<?php



	function czy_obraz($plik)

	{

		$result_array = @getimagesize($plik);



		if ($result_array !== false) {

   		 $mime_type = $result_array['mime'];

    	 

    		 if($mime_type == "image/jpeg" || "image/gif")

       		 return true;

   	}

    

		return false;

	}





	function pobierz_rozmiary_miniaturki($plik, $max_szerokosc, $max_wysokosc)

	{

		list($szerokosc, $wysokosc, $image_type) =  getimagesize($plik);

		

		$ratio_orig = $szerokosc/$wysokosc;

		if ($max_szerokosc/$max_wysokosc > $ratio_orig) {

   		$max_szerokosc = $max_wysokosc*$ratio_orig;

		} else {

   		$max_wysokosc = $max_szerokosc/$ratio_orig;

		}

		

		return array(ceil($max_szerokosc), ceil($max_wysokosc));

	}



	$warunki_wyszukiwania = null;

	

	// wyszukiwanie

	if(isset($akcja) and $akcja=="szukaj"){

		if($_POST['szukana_fraza']!=null){

			$warunki_wyszukiwania = " WHERE nazwa LIKE '%".$_POST['szukana_fraza']."%'";

		}else{

			komunikat("Komunikat","Proszę podać nazwę oferty");

		}

	}



	$po_ile_na_stronie = 9;    

	$zapytanie_str = "SELECT * FROM ".$db_pref."pliki".$warunki_wyszukiwania;

	include"../../include/stronnicowanie.php";   



			

echo'

			<table class="table1">

			<thead>

				<tr>

				<th colspan="4">Lista plików</th>

				</tr>

			</thead>

			<tbody>

				<tr>

					<th>Nazwa pliku</th>

					<th width="70">Wielkość</th>

					<th width="118">Data dodania</th>

					<th width="55">Akcje</th>

				</tr>

';



  // sortowanie

  if(isset($akcja) && $akcja=="sortuj" && isset($wg))

		$sortuj = " ORDER BY ".$wg." ASC";

  else

		$sortuj = " ORDER BY id DESC";





	$wykonaj = mysql_query ("SELECT * FROM ".$db_pref."pliki ".$warunki_wyszukiwania.$sortuj." LIMIT ".$temp.",".$po_ile_na_stronie.";");

	if($wykonaj){

		while($wiersz=mysql_fetch_array ($wykonaj)){

			$id = $wiersz['id'];

			$plik = $wiersz['plik'];

			$nazwa = $wiersz['nazwa'];

			$data_dodania = $wiersz['data_dodania'];

			$sciezka_lokalna = $katalog_uploadu.'/'.$wiersz['plik'];

			$sciezka_pelna = $adres_serwisu . 'upload/pliki/'.$wiersz['plik'];

			$wielkosc = ceil(filesize($sciezka_lokalna) / 1024);

						

			$rozszerzenie = substr($wiersz['plik'], strrpos($wiersz['plik'], '.')+1);

			

			if(file_exists("pliki/ico/".$rozszerzenie.".png"))

				$ikonka = $rozszerzenie.".png";

			else

				$ikonka = "domyslny.png";

				

			if( czy_obraz($sciezka_lokalna) )

			{

				$rozmiar = pobierz_rozmiary_miniaturki($sciezka_lokalna, 100, 150);

				

				$tmp = $sciezka_pelna;

				

				// poniższą linię należy odkomentować w celu włączenia generowania miniaturek

				// $tmp = 'sub_pliki/miniaturka.php?plik='.$sciezka_pelna.'&w='.$rozmiar[0].'&h='.$rozmiar[1];	

	

				$dymek = dymek("",'<img src='.$tmp.' width='.$rozmiar[0].' height='.$rozmiar[1].' class=dymek>');

			}

			else

				$dymek = "";

			



			

echo'			

				<tr>

				   ';

				   // <td width="15"><small><a href="../'.$katalog_uploadu.'/'.$plik.'" style="color: #000000" target="_top">'.$id.'</a></small></td>

					

echo'					

					

					<td class="sub" width="270"><img src="pliki/ico/'.$ikonka.'" alt="" /> <a href="'.$sciezka_pelna.'" '.$dymek.' target="_blank">'.$nazwa.'</a></td>



					<td><small>'.$wielkosc.' KB</small></td>

					

	  				<td><small>'.$data_dodania.'</small></td>

			

	  				<td><a href="#" onclick=\'kopiuj_do_schowka("'.$sciezka_pelna.'")\' title="Kopiuj ścieżkę do pliku">'.ikonka("k").'</a>

	  				    <a href="?go=lista_plikow&akcja=usun&id='.$id.'" title="Usuń plik">'.ikonka("u").'</a> 

						 <a href="?go=edytuj_plik&id='.$id.'" title="Edytuj plik">'.ikonka("e").'</a>

						 

					</td>

				</tr>

';	



  		}

	}

				



echo'				

			</tbody>

			</table><br>

';





?>